Skip to main content

Get a database by ID

Retrieve a database by its unique identifier.

Path Parameters
id string — REQUIRED

Unique identifier of the database.

Example: bq.orbital-poc-9.delta_db2

Responses
200

The database was found and returned successfully.

Schema — OPTIONAL
id string
name string
displayName string — OPTIONAL
datastoreId string
description string — OPTIONAL
location string — OPTIONAL
config object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
204

No database found for the given ID.

401

Unauthorized access.

404

Database for instance id is not found.

500

Internal server error.